Subject: [PATCH 0/2] arm64/kvm: use SYS_REG_DESC() for VGIC-v3

From: [email-masked] (Will Deacon)
Date: Tue, 6 Jun 2017 15:46:20 +0100

On Tue, Jun 06, 2017 at 03:46:34PM +0200, Christoffer Dall wrote:
> Hi Mark,
> 
> On Mon, Jun 05, 2017 at 02:19:59PM +0100, Mark Rutland wrote:
> > While looking around, I spotted that the VGIC-v3 code still uses open-coded SYS
> > encodings. These patches migrate said code to use common <asm/sysreg.h>
> > mnemonics, as we do for the rest of the AArch64 sysregs.
> > 
> > This is based on Marc's kvm-arm64/gicv3-cpuif-mediated-access branch [1].
> 
> Patches look good to me.  I can apply them after we apply [1] if
> Catalin/Will are ok with this.

Fine by me.

Acked-by: Will Deacon <[email-masked]>

if you need it.

Will